API Explorer 1 endpoints

Get Customer Messages for all Customers

GET /obp/v7.0.0/banks/BANK_ID/customer/messages

OBPv1.4.0-getCustomersMessages No role required Customer-MessageCustomer

Get messages for the logged in customer Messages sent to the currently authenticated user.

Authentication via OAuth is required.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

JSON response body fields (6)
date
2020-01-27
from_department
Open Bank
from_person
Tom
id
d8839721-ad8f-45dd-9f78-2080414b93f9
message
123456
messages
Example success response
{
  "messages": [
    {
      "id": "5995d6a2-01b3-423c-a173-5481df49bdaf",
      "date": "1100-01-01T00:00:00Z",
      "message": "String",
      "from_department": "String",
      "from_person": "String"
    }
  ]
}
Possible errors (2)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
Implemented by OBPv1.4.0 getCustomersMessages Originally /obp/v1.4.0/banks/BANK_ID/customer/messages